> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1panelcustomers orders

> Requires customers.read.



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml get /v1/panel/customers/{customerID}/orders
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/panel/customers/{customerID}/orders:
    get:
      tags:
        - panel
      description: Requires customers.read.
      operationId: listPanelCustomerOrders
      parameters:
        - $ref: '#/components/parameters/CustomerID'
        - $ref: '#/components/parameters/PageSize'
      responses:
        '200':
          description: Orders
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanelOrderList'
        '403':
          $ref: '#/components/responses/Problem'
components:
  parameters:
    CustomerID:
      in: path
      name: customerID
      required: true
      schema:
        type: string
        format: uuid
    PageSize:
      in: query
      name: pageSize
      schema:
        type: integer
        minimum: 1
        maximum: 500
        default: 100
  schemas:
    PanelOrderList:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/PanelOrderSummary'
    PanelOrderSummary:
      type: object
      required:
        - id
        - state
        - operation
        - currency
        - subtotalMinor
        - discountMinor
        - walletMinor
        - externalMinor
        - paidMinor
        - refundedMinor
        - customerId
        - createdAt
        - updatedAt
      properties:
        id:
          type: string
          format: uuid
        state:
          type: string
        operation:
          type: string
        currency:
          type: string
        subtotalMinor:
          type: integer
          format: int64
        discountMinor:
          type: integer
          format: int64
        walletMinor:
          type: integer
          format: int64
        externalMinor:
          type: integer
          format: int64
        paidMinor:
          type: integer
          format: int64
        refundedMinor:
          type: integer
          format: int64
        customerId:
          type: string
          format: uuid
        subscriptionId:
          type: string
          format: uuid
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.